<template>
  <div class="confirm">
           <div class="modal fade in" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" style="display: block; padding-left: 0px;">
	  <div class="modal-dialog" role="document">
	    <div class="modal-content modal-custom">
	      <div class="modal-header">
	        <!-- <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button> -->
	        <!-- <h4 class="modal-title" id="myModalLabel" style="text-align:center">GIADA用户隐私协议</h4> -->
	      </div>
	      <div class="modal-body">
	      	<div class="body-section">欢迎来到GIADA客户管理系统（以下简称“本系统”），本系统由迦达高级时装有限公司（以下简称“GIADA”或“我们”）在微信页面和APP运营。当您通过微信或APP访问本系统，我们将不可避免地与您产生直接或间接的互动关系，为了更好地为您提供服务，访问本系统需您遵守本协议。本协议由我们和您共同签订，具有合同法律效力。</div>
			<div class="body-section">为避免产生争议，请您仔细阅读本协议，详细了解各条款内容，特别是授权、免除或者限制责任的条款，以及与您的个人信息有关的隐私权政策，相关条款可能以加粗字体显示，您应重点阅读。如您未满18周岁，请您在法定监护人陪同下仔细阅读并充分理解本协议。当您通过本系统注册GIADA会员，我们视为您已经完全同意了本协议中的条款及我们不时对该等条款所做的修订及补充。</div>
	        <div class="body-section">一、用户信息的内容</div>
	        <div class="body-section">用户信息是指本系统以电子或其他方式记载并可为本系统所处理与您相关、能够单独或通过与其他信息结合识别您个人身份的信息，在本协议中包括但不限于您的姓名、性别、生日、身高、体重、衣服尺码、鞋码、手机号码、电子邮箱、微信ID、通讯地址、职业、加入GIADA会员的形式、会员类型、会员级别、会员卡号、消费行为及个人消费偏好等其他能够识别您且您不时提供给我们的信息。</div>	      	
	      	<div class="body-section">此外，我们提醒您慎重注意：手机号码、微信ID、通讯地址、职业、消费行为及个人消费偏好等是属于用户的敏感信息，一旦被非法泄露、被非法提供或被滥用可能导致危害人身和财产安全，可能导致个人名誉、身心健康受到损害等风险。若同意本协议，我们也将会依据您的授权获得相关资料。</div>
	      	<div class="body-section">GIADA深刻意识到保护我们客户的个人信息的重要性。为此，GIADA采用特定的政策与安全措施，遵守相关法律，旨在保护您的个人信息。</div>
	      	<div class="body-section">二、用户信息的收集</div>
			<div class="body-section">我们根据合法、正当、必要的原则，在您使用本系统时需要您主动注册创建账号，填写并完善用户信息资料，或者通过您的用户信息与线下门店会员关联或消费关联时获取的相关信息，包括但不限于本协议第一条所指的用户信息内容。</div>
			<div class="body-section">1、当您注册新会员时必须主动提供您的姓名、性别、生日、手机号码。</div>
			<div class="body-section">2、当您注册成为会员后，为能够获得更具针对性的服务，还可以在系统中填写您的电子邮箱、微信ID、通讯地址、职业、加入GIADA会员的形式、会员类型、会员级别、会员卡号等信息。GIADA授权品牌顾问也会根据您的消费习惯及本协议在系统中填写完善您的身高、体重、衣服尺码、鞋码等信息。</div>
			<div class="body-section">3、当您使用服务或消费时我们可能获取您的消费行为信息，包括但不限于产品类型、产品颜色、衣服尺码、鞋码、消费金额等信息。</div>
			<div class="body-section">4、当您发起投诉或咨询，或提供其他反馈给我们时，调整或修改前述相关用户信息。</div>
			<div class="body-section">5、若您通过微信页面或APP的其中一个渠道注册账号并填写信息，当您在另一渠道登录账户时，系统可能会根据您的绑定手机号码关联您在其他渠道填写的信息。</div>
			<div class="body-section">我们会非常重视您的个人隐私，我们严格遵守法律法规的规定以及与您的约定，通过您提供的信息分析、归类您作为会员或客户的类型，将收集的信息用于以下用途：</div>
			<div class="body-section">1、大数据分析。</div>
			<div class="body-section">2、帮助我们了解您的个性化需求并促使我们更好地满足您的需求，改善用户体验。</div>
			<div class="body-section">3、向您更好地提供服务。</div>
			<div class="body-section">4、向您推荐您可能感兴趣的广告、资讯等。</div>
			<div class="body-section">5、产品开发和服务优化。</div>
			<div class="body-section">6、邀请您参与有关我们服务的调查。</div>
			<div class="body-section">为了让您有更好的体验、改善我们的服务或经您同意的其他用途，在符合相关法律法规的前提下，我们可能将通过某些服务所收集的信息用于我们的其他服务。</div>
			<div class="body-section">四、Cookies</div>
			<div class="body-section">本系统在微信页面会短暂保存微信open id的信息，当您关闭本系统页面时会清除cookies。</div>
			<div class="body-section">五、用户对自身信息的管理</div>
			<div class="body-section">1、您有责任维护个人账号的安全性与保密性，并对您以注册账号名义所从事的活动承担全部法律责任，包括但不限于数据的修改、发表的言论以及其他操作行为。</div>
			<div class="body-section">2、如您发现我们违反法律、行政法规的规定或者双方的约定收集、使用您的个人信息，您可以要求我们删除。如您发现我们收集、存储的您的个人信息有错误的，您也可以要求我们更正。</div>
			<div class="body-section">3、在您访问、修改和删除相关信息时，我们可能会要求您进行身份验证，以保障账号的安全。</div>
			<div class="body-section">六、用户信息的保护</div>
			<div class="body-section">我们不会将用户个人信息转移或披露给任何非关联的第三方，除非有如下情形之一或更多：</div>
			<div class="body-section">1、相关法律法规或司法、行政等国家机关要求；</div>
			<div class="body-section">2、为完成合并、分立、收购或资产转让而转移；</div>
			<div class="body-section">3、获得您的授权；</div>
			<div class="body-section">4、为维护我们自身合法权益而向用户提起诉讼或仲裁；</div>
			<div class="body-section">5、我们及关联公司、品牌顾问为提供您要求的服务所需；</div>
			<div class="body-section">6、其他合理情形。</div>
			<div class="body-section">七、用户信息的储存</div>
			<div class="body-section">1、我们收集的信息将储存于中华人民共和国境内（不含港澳台地区），不会在境外使用。</div>
			<div class="body-section">2、在您注册会员后，我们会持续储存用户信息。</div>
			<div class="body-section">3、一般而言，我们仅为实现目的所必需的最短时间保留用户信息。但在下列情况下，我们有可能因需符合法律要求，更改储存时间：<br>&nbsp;&nbsp;&nbsp;&nbsp;（1）为遵守适用的法律法规等有关规定；<br>&nbsp;&nbsp;&nbsp;&nbsp;（2）为遵守法院判决、裁定或其他法律程序的规定；<br>&nbsp;&nbsp;&nbsp;&nbsp;（3）为遵守相关政府机关或法定授权组织的要求；<br>&nbsp;&nbsp;&nbsp;&nbsp;（4）我们有理由确信需要遵守法律法规等有关规定；<br>&nbsp;&nbsp;&nbsp;&nbsp;（5）为执行相关服务协议或本政策、维护社会公共利益，为保护我们的客户、我们或我们的关联公司、其他用户或雇员的人身财产安全或其他合法权益所合理必需的用途。<br></div>
			<div class="body-section">八、我们可能发送的信息</div>
			<div class="body-section">1、您在使用我们的服务时，我们可能向您发送电子邮件、短信、资讯或推送通知。您可以按照我们的相关提示，在设备上选择取消订阅。</div>
			<div class="body-section">2、我们可能在必要时（例如，因系统维护而暂停某一项服务时）向您发出与服务有关的公告。您可能无法取消这些与服务有关、性质不属于广告的公告。</div>
			<div class="body-section">九、行为规范</div>
			<div class="body-section">除非法律允许或者经我们事先书面许可，您使用我们相关系统或服务不得具有下列行为：</div>
			<div class="body-section">1、使用未经我们授权或许可的任何第三方工具对我们相关系统或服务的正常运行进行干扰、破坏、修改或施加其他影响。</div>
			<div class="body-section">2、使用我们相关系统或服务制作、上传、复制、发布、传播或转载以下内容：反对宪法所确定的基本原则的；危害国家安全；泄露国家秘密，颠覆国家政权，煽动分裂国家，破坏国家统一，宣扬恐怖主义、极端主义的；损害国家荣誉和利益的；煽动民族仇恨、民族歧视，破坏民族团结的；破坏国家宗教政策，宣扬邪教和封建迷信的；散布谣言，扰乱社会秩序，破坏社会稳定的；散布淫秽、色情、赌博、暴力、凶杀、恐怖或者教唆犯罪的；侮辱或者诽谤他人，侵害他人隐私权、名誉权、肖像权、知识产权等合法权益的；含有法律、行政法规禁止的其他内容的信息。</div>
			<div class="body-section">3、利用或针对我们相关系统或服务进行任何危害计算机网络安全的行为，包括但不限于：对我们相关系统进行反向工程、反向汇编、编译或者以其他方式尝试发现本系统的源代码。</div>
			<div class="body-section">4、恶意注册、批量注册、使用我们的账号。</div>
			<div class="body-section">5、冒充任何人或机构，或以任何方式谎称或误导，使人误认为与任何人或任何机构有关。</div>
			<div class="body-section">6、其他违反法律法规、本协议、或侵犯他人合法权益的行为。</div>
			<div class="body-section">如我们有理由认为用户的行为违反上述任何规定，我们有权采取技术手段予以删除、屏蔽、断开链接，无需任何通知，同时，我们有权视用户的行为性质，采取包括但不限于暂停或终止服务，限制、冻结或终止账号使用，追究相关法律责任等措施。</div>
			<div class="body-section">十、隐私权许可</div>
			<div class="body-section">1、您接受本协议，即视为您同意我们按照本协议约定来收集、保护、使用、共享您的个人信息。</div>
			<div class="body-section">2、您使用本系统或服务，都表示您同意我们按照本协议约定来收集、保护、使用、共享您的个人信息。</div>
			<div class="body-section">3、我们保留不时修订本协议的条款的权利，并通过通知的方式告知您。若您同意相关修订，您将受修订后的隐私声明的约束，或者，在您接到通知后仍继续使用本系统或服务的，视为您已同意受修订条款的约束。</div>
			<div class="body-section">十一、免责声明</div>
			<div class="body-section">1、我们有权在提前公告通知后，修改、更新、中断或终止本系统或服务，无需向您负责或承担任何赔偿责任。</div>
			<div class="body-section">2、因您违反第九条行为规范而引发的一切纠纷，由您承担全部法律及连带责任，我们不承担任何法律及连带责任。</div>
			<div class="body-section">3、对于因不可抗力或我们不能控制的原因（包括但不限于：病毒、木马、恶意程序攻击、网络问题、系统不稳定或设备故障、通讯故障、电力故障、政府行为、自然灾害等）造成的网络服务中断或其它缺陷，我们不承担任何责任，但我们会尽力减少因此而给用户造成的损失和影响。</div>
			<div class="body-section">十二、管辖条款</div>
			<div class="body-section">本协议履行过程中若发生争议的，应先友好协商解决，协商不成的，任何一方均可向深圳市福田区人民法院提起诉讼。</div>
			<div class="body-section">十三、其他</div>
			<div class="body-section">1、本协议中的标题仅为方便及阅读而设，并不影响本协议中任何规定的含义或解释。</div>
			<div class="body-section">2、我们的联系方式：</div>
			<div class="body-section">如果您对我们的隐私声明及我们如何使用您的个人信息有任何疑问，请您发送电子邮件至如下邮箱与我们联系：vip@giada.com。</div>
	      </div>
	      <!-- <div class="modal-footer">
	        <button type="button" class="btn btn-default custom-btn" data-dismiss="modal" onclick="checkedRead();">我已阅读</button>
	      </div> -->
	    </div>
	  </div>
	</div>
	<div id="pload" class="wholeBackground"><!-- <img src="/images/loading.gif" style="top:50%;position:fixed;"/> --></div>
    
  </div>
</template>

<script type="text/ecmascript-6">
  import '../../../../static/css/reset.css';
  import config from '@/config'
//   import footer from '@/components/footer/footer.vue'
//   import spaces from '@/components/spaces/spaces.vue'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        hintbox: {
          text: "",
          show: false
        },
        button:{
          high : true
        },
        datas:{}
      }
    },
    components:{
    //    'v-footer' : footer,
    //    'v-spaces' : spaces,
       'v-hintbox' : hintbox
    },
    methods:{
      close(){
        let that =  this;
        that.hintbox.show = false;
        this.hintbox.text = '';
      },
   // 查看是否授权
    getUserInfo1(){
      let that =this;
      if(!this.button.high){
        return;
      }
      this.button.high = false;
      setTimeout(function () {
        that.button.high = true;
      },5000);
      console.log('click事件首先触发');
      // 判断小程序的API，回调，参数，组件等是否在当前版本可用。  为false 提醒用户升级微信版本
      // console.log(wx.canIUse('button.open-type.getUserInfo'))
      if(wx.canIUse('button.open-type.getUserInfo')){
        // config.href(config.Login);

        console.log('版本可用')
        // 用户版本可用
      }else{
        that.hintbox.show = true;
        that.hintbox.text = '请升级微信小程序版本';
      }

    },
    bindGetUserInfo(e) {
      let that =this;
      // console.log(e.mp.detail.rawData)
      if (e.mp.detail.rawData){
        //用户按了允许授权按钮
        console.log('用户按了允许授权按钮');
        wx.getSetting({
          success: function(res){
            if (res.authSetting['scope.userInfo']) {
              wx.getUserInfo({
                success: function(res) {
                  console.log(res.userInfo)
                  wx.setStorageSync('UserInfo', res.userInfo)
                  VeevlinkLogin(function () {
                    console.log('succes');
                    // that.enter();
                    wx.reLaunch({
                    url: '/pages/mainPage/login/main?id=1'
                    })
                  });
                }
              })
            }else{
              that.hintbox.show = true;
              that.hintbox.text = '用户未授权';
            }
          }
        })



      } else {
        //用户按了拒绝按钮
        console.log('用户按了拒绝按钮')
        //  that.bindGetUserInfo();

      }
    },
  },
   onLoad(data) {
      mta.Page.init();
    }
  }
</script>
<style>
page{
  height:100%;
   background: #EFEFEF;
}
</style>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style  lang="scss"  type="text/scss" scoped >
._h4, ._p, ._div{
  font-size: 0.28rem;
  font-family: '华文细黑';

}
   .confirm{
     background: #EFEFEF;
      *{
        margin: 0;
        padding: 0;
        font-family:"Microsoft YaHei";
        letter-spacing: 0.5px;
      }
      .modal{
        display: block;
        width: 6.7rem;
        margin: 0 auto;
        background: #fff;
        border-radius: 15rpx;
        margin-top: 0.4rem;

      }
      .modal-body{
        padding: 0.36rem 0.44rem;
      }
      .wholeBackground{
        position: fixed;
          top: 0;
          right: 0;
          bottom: 0;
          left: 0;
          z-index: 1040;
          background-color: #0000;
          text-align: center;
          display:none;
      }
      .wholePage{		
        /* overflow: hidden; */ 
        /*position: absolute;*/
      }
      .registerPage{
        width:81.6%;
        left: 9.2%;
        position: relative;
      }
      .header{
        margin-top: 20px;
        text-align: center;
        font-size: 18px;
      }
      .header img{
        width:26.3%
      }
      .header h1{
        height: 40px;
          line-height: 40px;
        width:100%;
      }
      .functionTitle{
        height: 40px;
        line-height: 40px;
      }
      .content{
        width:100%;
        margin-top:20px;
        color: #595757;
      }
      .content label{
        font-size:12px;
        font-weight:400;
      }
      .userInfo{
        width:100%;
        border: 0;
        border-collapse:separate; 
        border-spacing: 0px 5px;
      }
      .userInfo tr{
        padding-top:5px;
        padding-bottom: 5px;
      }
      .ui-custom-ipt{
        position: relative;
        display: block;
        /* border: 1px solid #CCC; */
          background-color: #fff;
          padding: 0;
          border-radius: 0;
          -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
          outline: none;
          color: #333;
      }
      .ui-custom-ipt-date{
        /* background-color: #F5F5F5; */
      }
      .custom-error .ui-custom-ipt{
        border:1px solid #BB814B;
      }
      .custom-ipt{
        caret-color: #595757;/*光标颜色*/
        width: 100%;
          border: none !important;
          border-radius: 0;
          padding: 8px 10px;
          font-size: 12px;
          color:#595757;
          display: inline-block;
          margin: 0;
          -webkit-appearance: none;
          outline: none;
          background-color: #EEEEEF;
      }
      .ipt-error-msg{
        color:#BB814B !important;
        margin-top:5px;
        font-size:12px;
      }
      .menu-down{
        border-bottom: medium none !important;
          font-size: 12px !important;
          margin: 0 0 0 10px;
          padding: 0;
          color: #4F4F4F;
          position: absolute;
          right: 10px;
          top: 8px;
          vertical-align: middle;
      }
      /*  修改日历控件类型 */
      ::-webkit-datetime-edit { padding:0;}  /*控制编辑区域的*/
      ::-webkit-datetime-edit-fields-wrapper { background-color: #fff; }    /*控制年月日这个区域的*/
      ::-webkit-datetime-edit-text {  padding: 0 .5em; }  /*这是控制年月日之间的斜线或短横线的*/
      ::-webkit-datetime-edit-year-field {  }    /*控制年文字, 如2013四个字母占据的那片地方*/   
      ::-webkit-datetime-edit-month-field {  }    /*控制月份*/
      ::-webkit-datetime-edit-day-field {  }    /*控制具体日子*/
      ::-webkit-inner-spin-button { visibility: hidden; }    /*这是控制上下小箭头的*/
      ::-webkit-calendar-picker-indicator {      /*这是控制下拉小箭头的*/
          border: 1px solid #ccc;
          border-radius: 2px;
          box-shadow: inset 0 1px #fff, 0 1px #eee;
          background-color: #eee;
          background-image: -webkit-linear-gradient(top, #f0f0f0, #e6e6e6);
          color: #666;
      }
      .ipt-type-date{
        height:32px;
        margin-bottom:-5px;
      }
      ::-webkit-clear-button {    /*控制清除按钮*/

      }
      .userInfo-ipt{
        transition: all 0.30s ease-in-out;
          -webkit-transition: all 0.30s ease-in-out;
          -moz-transition: all 0.30s ease-in-out;
          outline: 0;
        width: 100%;
          font-size: 12px;
          height: 38px;
          line-height: 38px;
          padding: 2px 2px;
          background-color: #F5F5F5;
          border-radius: 0px;
          border: 1px solid #CCC;
      }
      .form-control{
        background-color: #fff;
          border: none !important;
          border-radius: 0;
          -webkit-box-shadow: none;
          box-shadow: none;
          -webkit-transition: none;
      }
      .footer{
        width:100%;
        margin-top: 20px;
        margin-bottom: 30px;
          font-family: "Microsoft YaHei";
          color: #595757;
          font-weight: 400;
          font-size:12px;
      }
      .footer-btn{
        outline:none;
        width: 100%;
        font-size: 12px;
        color: #ffffff;
        background-color: #9E9EA0;   
        border:0;
        padding:8px 10px;
        /* height: 40px;
        line-height: 40px; */
        cursor: pointer;
        border-radius: 0px;   
        font-family: "Microsoft YaHei";
        font-weight: 400;
      }
      /* .footer-btn:hover{
        background-color: #949494;
      } */
      /* .footer-btn:active{
        background-color: #949494;
      } */
      .custom-btn,.custom-btn:hover{
        padding:8px 20px;
        border-radius:0;
        color: #ffffff;
          background-color: #9E9EA0;
          font-size:12px;
          width: 120px;
          border:0 !important;
          /* border: 1px solid #000000; */
      }
      .custom-btn-ios,.custom-btn-ios:hover{
        padding:9px 20px;
        border-radius:0;
        color: #ffffff;
          background-color: #9E9EA0;
          font-size:12px;
          width: 120px;
          border:0 !important;
          /* border: 1px solid #000000; */
      }
      .custom-btn[disabled]:hover{
        background-color: #9E9E9F !important;
      }
      .custom-checkbox{
        width: 16px;
          height: 16px;
          vertical-align: top;
      }
      .requireFont{
        color:#a94442;
      }
      .requiredIpt label:after{
        content:"*";
        color: #595757;
      }

      .picker-modal{
        position: fixed !important;
      }
      .picker-item{
        /* text-align: center !important; */
        /* font-size:14px; */
      }
      .date_btn{
        color: #0089ff !important;
        font-size:14px !important;
        font-weight:bold;
      }
      .toolbar-inner a{
        color: #0089ff !important;
        font-size:14px !important;
        font-weight:bold;
      }
      .toolbar-inner a:focus,a:hover{
        color: #0089ff !important;
      }
      .modal-custom{	
        color: #595757;
      }
      .modal-custom .modal-title{
        font-size:16px;
        font-weight:500 !important;
      }
      .modal-custom .modal-body{
        font-size:12px;
        font-weight:300 !important;
        line-height: 22px;
        letter-spacing: 0.1px !important;
      }
      .body-section{
        text-indent: 24px;
        margin-bottom: 10px;
      }
   }
</style>
